Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 114119)
+++ apps/app_queue.c	(working copy)
@@ -822,7 +822,6 @@
 	q->reportholdtime = 0;
 	q->monjoin = 0;
 	q->wrapuptime = 0;
-	q->autofill = 0;
 	q->joinempty = 0;
 	q->leavewhenempty = 0;
 	q->memberdelay = 0;
@@ -1243,7 +1242,11 @@
 				*tmp++ = '-';
 		} else
 			tmp_name = v->name;
-		queue_set_param(q, tmp_name, v->value, -1, 0);
+
+		if (!ast_strlen_zero(v->value)) {
+			/* Don't want to try to set the option if the value is empty */
+			queue_set_param(q, tmp_name, v->value, -1, 0);
+		}
 	}
 
 	if (q->strategy == QUEUE_STRATEGY_ROUNDROBIN)
